<?php
/*
 CLASE PARA LA GESTION DE AREAS
*/
require_once "db.class.php";

class rango extends database {

	/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE RANGOS
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */
        function rango(){}


        //----------------------------------
        function total_reg()
	{
	   //conexion a la base de datos
	   $this->conectar();
           $query = $this->consulta("select * from rangos");

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function rangoss($inicio)
	{
                $data=array();
		//conexion a la base de datos
		$this->conectar();

                $query = $this->consulta("select * from rangos order by orden limit ".$inicio.",10");

                $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) )
				$data[] = $tsArray;

			
		}
                return $data;
	}

}

?>
